Bug 1017729 - [abrt] libwebkit2gtk-2.2.0-1.fc20: gst_element_get_state: Process /usr/libexec/WebKitWebProcess was killed by signal 11 (SIGSEGV)
[abrt] libwebkit2gtk-2.2.0-1.fc20: gst_element_get_state: Process /usr/libexe...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: webkitgtk3 (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:6d2c161829d47c36f95b60b3b43...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 08:01 EDT by Kamil Páral
Modified: 2015-06-29 08:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:36:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.91 KB, text/plain)
2013-10-10 08:01 EDT, Kamil Páral
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-10 08:02 EDT, Kamil Páral
no flags Details
File: core_backtrace (33.14 KB, text/plain)
2013-10-10 08:02 EDT, Kamil Páral
no flags Details
File: dso_list (16.80 KB, text/plain)
2013-10-10 08:02 EDT, Kamil Páral
no flags Details
File: environ (1.00 KB, text/plain)
2013-10-10 08:02 EDT, Kamil Páral
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-10 08:02 EDT, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-10 08:02 EDT, Kamil Páral
no flags Details
File: maps (142.80 KB, text/plain)
2013-10-10 08:02 EDT, Kamil Páral
no flags Details
File: open_fds (1.76 KB, text/plain)
2013-10-10 08:02 EDT, Kamil Páral
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-10-10 08:02 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-10-10 08:01:52 EDT
Description of problem:
I have no idea, probably while searching for some plugins during youtube.com visit.

Version-Release number of selected component:
libwebkit2gtk-2.2.0-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/WebKitWebProcess 17
crash_function: gst_element_get_state
executable:     /usr/libexec/WebKitWebProcess
kernel:         3.11.2-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 gst_element_get_state at gstelement.c:2158
 #1 WebCore::MediaPlayerPrivateGStreamer::changePipelineState at Source/WebCore/platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.cpp:393
 #2 WebCore::MediaPlayerPrivateGStreamer::handlePluginInstallerResult at Source/WebCore/platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.cpp:860
 #3 gst_install_plugins_installer_exited at install-plugins.c:587
 #4 g_child_watch_dispatch at gmain.c:5047
 #9 WebKit::WebProcessMainGtk at Source/WebKit2/WebProcess/gtk/WebProcessMainGtk.cpp:78
 #10 __libc_start_main at libc-start.c:285
 #11 _start
Comment 1 Kamil Páral 2013-10-10 08:01:59 EDT
Created attachment 810477 [details]
File: backtrace
Comment 2 Kamil Páral 2013-10-10 08:02:02 EDT
Created attachment 810478 [details]
File: cgroup
Comment 3 Kamil Páral 2013-10-10 08:02:08 EDT
Created attachment 810479 [details]
File: core_backtrace
Comment 4 Kamil Páral 2013-10-10 08:02:14 EDT
Created attachment 810480 [details]
File: dso_list
Comment 5 Kamil Páral 2013-10-10 08:02:18 EDT
Created attachment 810481 [details]
File: environ
Comment 6 Kamil Páral 2013-10-10 08:02:25 EDT
Created attachment 810482 [details]
File: exploitable
Comment 7 Kamil Páral 2013-10-10 08:02:30 EDT
Created attachment 810483 [details]
File: limits
Comment 8 Kamil Páral 2013-10-10 08:02:34 EDT
Created attachment 810484 [details]
File: maps
Comment 9 Kamil Páral 2013-10-10 08:02:39 EDT
Created attachment 810485 [details]
File: open_fds
Comment 10 Kamil Páral 2013-10-10 08:02:45 EDT
Created attachment 810486 [details]
File: proc_pid_status
Comment 11 Fedora End Of Life 2015-05-29 05:33:06 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-06-29 08:36:21 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.